@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");
* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}
.img-fluid {
  max-width: 100%;
  height: auto;
}

img {
  width: 100%;
}
body {
  background-color: rgb(16, 20, 31);
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  margin: 0.7rem;
  width: 100%;
  height: 100%;
}
.row {
  background-color: rgb(16, 20, 31);
}
.title-trend {
  text-decoration: none;
  color: rgb(255, 255, 255) !important;
}
.rec-title {
  text-decoration: none;
  color: rgb(255, 255, 255) !important;
}
a:hover {
  color: red;
}
.tie {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.icon1 {
  display: flex;
  justify-content: left;
  align-items: center;
  padding: 0.6rem;
}
.search-icon {
  display: flex;
  margin-left: 2rem;
  flex-direction: column;
  align-items: center;
  width: 30px;
  height: 30px;
}
.text-box {
  max-width: 240px;
  width: 100%;
  display: flex;
  background-color: rgba(89, 89, 81, 0.267);
  justify-content: left;
  align-items: center;

  padding: 8px 24px;
  border-radius: 4rem;
}
.text-box {
  max-width: 90%;
  border: none;
  outline: none;
  color: rgb(249, 246, 246);
  background-color: transparent;
  font-size: 0.98rem;

  padding-right: 5rem;
}
.text-box:focus {
  outline: none;
  background-color: rgba(139, 139, 183, 0.089);
}

main {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.movie img {
  width: 50vh;
}
.movie {
  width: 300px;
  height: 200px;
  margin: 0.3rem;
  border-radius: 2rem;
  box-shadow: 0.2rem 0.2rem 0.3rem rgba(26, 29, 56, 0.324);
  background-color: rgb(30, 26, 30);
  position: relative;
  overflow: hidden;
}
.movie-info {
  display: flex;
  color: white;
  align-items: center;
  justify-content: space-around;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.2rem;
}
.movie-info span {
  background-color: rgb(220, 218, 218);
  padding: 0.25rem 0.5rem;
  border-radius: 10px;
  font-weight: bold;
}
.movie-info span.green {
  color: rgb(0, 0, 0);
}
.movie-info span.orange {
  color: rgb(0, 0, 0);
}
.movie-info span.yellow {
  color: rgb(0, 0, 0);
}
.overview {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.692);
  padding: 2rem;
  max-height: 100%;
  transform: translateY(103%);
  transition: transform 1s ease-in-out;
}
.movie:hover .overview {
  transform: translateY(0);
}

.title-con {
  padding: 0.2rem;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.leftnav {
  border-radius: 20px;
  justify-content: center;
  align-items: center;
  margin-right: 50px;
}

.left-nav-top {
  display: flex;
  flex-direction: column;
}
.left-nav-top .leftnavbar {
  background-color: rgba(105, 114, 138, 0.135);
  border-radius: 30px;
}
.leftnavbar {
  display: flex;
  flex-direction: column;
  row-gap: 2.1rem;
  justify-content: center;
  align-items: center;
  padding: 3px 3px 50px 12px;
}
.navbar-links .bx {
  font-size: 37.5px;
  color: rgb(255, 255, 255);
  right: 10%;
}
.navbar-links .bx:hover {
  color: red;
}
.user-dp {
  width: 40px;
  border-radius: 60px;
  object-fit: cover;
  object-position: center;
  justify-content: center;
  align-items: center;
  margin-top: 5rem;
}
.navbar-links .act {
  margin-top: 2rem;
  margin-bottom: 38px;
}
.bxs-film {
  margin-top: 17px;
}
